Bug 216241 - [new port] audio/drumgizmo: Multichannel drum sampler
Summary: [new port] audio/drumgizmo: Multichannel drum sampler
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-01-18 18:16 UTC by Goran Mekić
Modified: 2017-07-27 16:19 UTC (History)
1 user (show)

See Also:


Attachments
drumgizmo.shar (3.25 KB, text/plain)
2017-01-18 18:16 UTC, Goran Mekić
no flags Details
Drumgizmo 0.9.13 just came out (3.25 KB, text/plain)
2017-04-23 20:00 UTC, Goran Mekić
no flags Details
Fixed header in Makefile (3.25 KB, text/plain)
2017-04-24 12:33 UTC, Goran Mekić
no flags Details
drumgizmo-0.5.14.shar (3.25 KB, patch)
2017-05-28 21:24 UTC, Goran Mekić
meka: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Goran Mekić 2017-01-18 18:16:58 UTC
Created attachment 179041 [details]
drumgizmo.shar
Comment 1 Goran Mekić 2017-04-23 20:00:35 UTC
Created attachment 182027 [details]
Drumgizmo 0.9.13 just came out

Since last version I was promoted to DrumGizmo developer and worked on better FreeBSD and 16ch sound(4) support, which is one of tree main features for the new release.
Comment 2 Goran Mekić 2017-04-24 12:33:57 UTC
Created attachment 182042 [details]
Fixed header in Makefile
Comment 3 Goran Mekić 2017-05-28 21:24:57 UTC
Created attachment 183018 [details]
drumgizmo-0.5.14.shar
Comment 4 Hans Petter Selasky freebsd_committer 2017-05-30 18:21:41 UTC
Works fine here.
Comment 5 Hans Petter Selasky freebsd_committer 2017-05-31 08:00:17 UTC
The following comand(s) might be useful when testing 13 channel drumkits with a stereo DSP device under FreeBSD:

virtual_oss -S -C 16 -c 1 -r 48000 -b 16 -s 768 -f /dev/dsp3 -T /dev/sndstat -c 13 -m 2,2,3,3,4,4,5,5,6,6,7,7,8,8,9,9,10,10,11,11,12,12,13,13,14,14,15,15 -M o,2,0,0,0,0 -M o,3,0,0,0,0 -M o,4,0,0,0,0 -M o,5,0,0,0,0 -M o,6,0,0,0,0 -M o,7,0,0,0,0 -M o,8,0,0,0,0 -M o,9,0,0,0,0 -M o,10,0,0,0,0 -M o,11,0,0,0,0 -M o,12,0,0,0,0 -M o,13,0,0,0,0 -M o,14,0,0,0,0 -M o,15,0,0,0,0 -d vdsp -t vdsp.ctl

drumgizmo -i jackmidi -I midimap=DRSKit2_0_1/Midimap_minimal.xml -o oss -O dev=/dev/vdsp DRSKit2_0_1/DRSKit_minimal.xml

--HPS
Comment 6 commit-hook freebsd_committer 2017-07-27 16:19:55 UTC
A commit references this bug:

Author: amdmi3
Date: Thu Jul 27 16:19:17 UTC 2017
New revision: 446756
URL: https://svnweb.freebsd.org/changeset/ports/446756

Log:
  DrumGizmo is an open source, multichannel, multilayered, cross-platform drum
  plugin and stand-alone application. It enables you to compose drums in midi and
  mix them with a multichannel approach. It is comparable to that of mixing a real
  drumkit that has been recorded with a multimic setup.

  Features include:
  * Stand-alone, Lv2 and VSTi versions available
  * Open drumkit file format, allowing the community to create their own drumkits
  * Drum velocity, allowing for several different hit velocities for each drum
  * Multichannel output, making it possible to mix it just the way you would a
    real drumkit
  * Optional built-in humanizer, analyzing the midi notes, adjusting velocities
    on-the-fly
  * Stand-alone midi renderer, generating .wav files, 1 for each channel
  * Stand-alone midi input, making it possible to use DrumGizmo as a software
    sampler for an electronic drumkit

  WWW: http://www.drumgizmo.org/

  PR:		216241
  Submitted by:	meka@tilda.center

Changes:
  head/audio/Makefile
  head/audio/drumgizmo/
  head/audio/drumgizmo/Makefile
  head/audio/drumgizmo/distinfo
  head/audio/drumgizmo/pkg-descr
  head/audio/drumgizmo/pkg-plist